import 'isomorphic-fetch';
export interface KredsOptions {
    instanceUrl: string;
    clientId: string;
    clientSecret: string;
    redirectUri: string;
}
export interface AuthorizationCodeGrant {
    accessToken: string;
    refreshToken: string;
    expiresIn: number;
    tokenType: string;
    scope: string;
}
export interface RefreshAccessToken {
    accessToken: string;
    expiresIn: number;
    tokenType: string;
}
export default class Kreds {
    private options;
    constructor(options: KredsOptions);
    authorizeUrl(state: string): string;
    authorizationCodeGrant(code: string): Promise<AuthorizationCodeGrant>;
    refreshAccessToken(refreshToken: string): Promise<RefreshAccessToken>;
}
